Bug 6333 - smbpasswd fails to create users when using ldap/editposix
smbpasswd fails to create users when using ldap/editposix
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: User & Group Accounts
unspecified
Other Linux
: P3 enhancement
: ---
Assigned To: Simo Sorce
Samba QA Contact
:
Depends on: 6313
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 05:14 UTC by Guenther Deschner
Modified: 2009-06-03 02:59 UTC (History)
2 users (show)

See Also:
gd: review? (gd)
gd: review? (jra)


Attachments
simo's patch #1 (15.74 KB, patch)
2009-05-19 07:18 UTC, Guenther Deschner
no flags Details
simo's patch #2 (26.95 KB, patch)
2009-05-19 07:18 UTC, Guenther Deschner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2009-05-06 05:14:59 UTC
+++ This bug was initially created as a clone of Bug #6313 +++

Config: http://dmarkey.com/~dmarkey/samba3.4pre1/smbpasswd/smb.conf

/opt/samba/samba-3.4.0pre1/bin/smbpasswd -a david
Cannot locate Unix account for 'david'!

Of course this makes sense because samba has to create the posix entry in LDAP, smbpasswd should see that editposix=yes and go ahead and create the user and assume the unix user should exist afterwards.
Comment 1 Guenther Deschner 2009-05-06 05:15:53 UTC
Ok, this would really be usefull if smbpasswd and pdbedit could create users in such scenario.
Comment 2 Guenther Deschner 2009-05-19 07:18:02 UTC
Created attachment 4167 [details]
simo's patch #1
Comment 3 Guenther Deschner 2009-05-19 07:18:29 UTC
Created attachment 4168 [details]
simo's patch #2
Comment 4 Guenther Deschner 2009-05-19 07:21:41 UTC
I tested the patches and I could nicely create posix/samba users on the fly using smbpasswd -a but not with pdbedit -a.

Simo, shouldn't we have it for pdbedit as well ?
Comment 5 Simo Sorce 2009-05-19 07:39:49 UTC
(In reply to comment #4)
> I tested the patches and I could nicely create posix/samba users on the fly
> using smbpasswd -a but not with pdbedit -a.
> 
> Simo, shouldn't we have it for pdbedit as well ?

Yes, should work with pdbedit as well ...
Do you get an error ?
Can you run it with -d 10 and see if any insightful error message is spit ?

 

Comment 6 Guenther Deschner 2009-05-19 07:56:16 UTC
doh! stupid me, scratch that, of course it works as described (as a "local" problem)
Comment 7 Simo Sorce 2009-05-30 10:38:55 UTC
Patches committed to master.
Comment 8 Karolin Seeger 2009-06-03 02:59:08 UTC
Pushed patches to patches to v3-4-test.